Xerces-C++: Hash2KeysSetOfEnumerator< THasher > Class Template Reference

Xerces-C++ 3.3.0

Public Member Functions | List of all members
Hash2KeysSetOfEnumerator< THasher > Class Template Reference

`#include <xercesc/util/Hash2KeysSetOf.hpp>`

Inheritance diagram for Hash2KeysSetOfEnumerator< THasher >:

## Public Member Functions
| Hash2KeysSetOfEnumerator (Hash2KeysSetOf< THasher > *const toEnum, const bool adopt=false, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~Hash2KeysSetOfEnumerator ()
bool | hasMoreElements () const
void | Reset ()
void | nextElementKey (const void *&, int &)
void | setPrimaryKey (const void *key)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ Hash2KeysSetOfEnumerator()

template<class THasher >

Hash2KeysSetOfEnumerator< THasher >::Hash2KeysSetOfEnumerator | ( | Hash2KeysSetOf< THasher > *const | toEnum,
|  | const bool | adopt = false,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## ◆ ~Hash2KeysSetOfEnumerator()

template<class THasher >

virtual Hash2KeysSetOfEnumerator< THasher >::~Hash2KeysSetOfEnumerator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ hasMoreElements()

template<class THasher >

bool Hash2KeysSetOfEnumerator< THasher >::hasMoreElements | ( |  | ) | const

## ◆ nextElementKey()

template<class THasher >

void Hash2KeysSetOfEnumerator< THasher >::nextElementKey | ( | const void *& | ,
|  | int & | )

## ◆ Reset()

template<class THasher >

void Hash2KeysSetOfEnumerator< THasher >::Reset | ( |  | ) |

## ◆ setPrimaryKey()

template<class THasher >

void Hash2KeysSetOfEnumerator< THasher >::setPrimaryKey | ( | const void * | key | ) |

The documentation for this class was generated from the following file:

- Hash2KeysSetOf.hpp